# [Exercism Python](http://exercism.io/languages/python)

Python is a strong language for beginners.
There are many resources available for programmers of all levels, the code is highly readable, and in many cases phrases are comparable to those in the English language.
Code can be written and executed from the command line, in an interactive IPython session, or in a [Jupyter](http://jupyter.org) (IPython) notebook.

The most common form of Python is compiled in C.
This is often invisible to the beginning programmer, but if there are uses for which exceptionally fast implementation is needed then C extensions can be written to optimize Python execution.

[Python is used extensively](https://www.python.org/about/apps/) in scientific computing, finance, games, networking, internet development, and in assembling pipelines of other programs.

Python was started by Guido van Rossum in 1989.
Its name is an homage to the comedy troupe Monty Python.
Python 2 is used widely but support [may end by 2020](https://www.python.org/dev/peps/pep-0373/#id2).
Python 3 was introduced in 2008 and is beginning to be adopted more widely.
They are similar, but users will encounter [some differences](http://blog.teamtreehouse.com/python-2-vs-python-3).
Python development is shepherded by [The Python Software Foundation](https://www.python.org/about/) and there are active community-based user groups worldwide.
